>From 4ff8f1637d62d4654ebf7d517a17bcdf014c3919 Mon Sep 17 00:00:00 2001
From: Ade Lee <alee@redhat.com>
Date: Mon, 17 Dec 2012 11:06:16 -0500
Subject: [PATCH 104/107] interpolated jars

---
 base/deploy/etc/default.cfg             |  86 +++++++++
 base/deploy/src/scriptlets/pkiparser.py | 308 +-------------------------------
 2 files changed, 94 insertions(+), 300 deletions(-)

diff --git a/base/deploy/etc/default.cfg b/base/deploy/etc/default.cfg
index 56686c0803c7a90b5d1a78bd0252e97cda900d56..ea9c956776e49cc62c3a2a5cb3ec54c786b94208 100644
--- a/base/deploy/etc/default.cfg
+++ b/base/deploy/etc/default.cfg
@@ -122,6 +122,14 @@ pki_source_setup_path=/usr/share/pki/setup
 pki_source_server_path=/usr/share/pki/server/conf
 pki_source_cs_cfg=/usr/share/pki/%{pki_subsystem_type}/conf/CS.cfg
 pki_source_registry=/usr/share/pki/setup/pkidaemon_registry
+pki_path=%(pki_root_prefix)s/var/lib/pki
+pki_log_path=%(pki_root_prefix)s/var/log/pki
+pki_configuration_path=%(pki_root_prefix)s/etc/pki
+pki_registry_path=%(pki_root_prefix)s/etc/sysconfig/pki
+pki_instance_path=%(pki_path)s/%(pki_instance_name)s
+pki_instance_log_path=%(pki_log_path)s/%(pki_instance_name)s
+pki_instance_configuration_path=%(pki_configuration_path)s/%(pki_instance_name)s
+
  
 ###############################################################################
 ##  Apache Configuration:                                                    ##
@@ -144,6 +152,9 @@ pki_cgroup_systemd_service_path=/sys/fs/cgroup/systemd/system/%(pki_systemd_serv
 pki_cgroup_systemd_service=%(pki_cgroup_systemd_service_path)s/%(pki_instance_name)s
 pki_cgroup_cpu_systemd_service_path=/sys/fs/cgroup/cpu\,cpuacct/system/%(pki_systemd_service)s
 pki_cgroup_cpu_systemd_service=%(pki_cgroup_cpu_systemd_service_path)s/%(pki_systemd_service)s
+pki_instance_type=Apache
+pki_instance_type_registry_path =%(pki_registry_path)s/apache
+pki_instance_registry_path=%(pki_instance_type_registry_path)s/%(pki_instance_name)s
 
 ###############################################################################
 ##  Tomcat Configuration:                                                    ##
@@ -197,6 +208,81 @@ pki_source_servercertnick_conf=%(pki_source_server_path)s/serverCertNick.conf
 pki_source_server_xml=%(pki_source_server_path)s/server.xml
 pki_source_context_xml=%(pki_source_server_path)s/context.xml
 pki_source_tomcat_conf=%(pki_source_server_path)s/tomcat.conf
+pki_instance_type=Tomcat
+pki_tomcat_common_path=%(pki_instance_path)s/common
+pki_tomcat_common_lib_path=%(pki_tomcat_common_path)s/lib
+pki_tomcat_tmpdir_path=%(pki_instance_path)s/temp
+pki_tomcat_webapps_path=%(pki_instance_path)s/webapps
+pki_tomcat_webapps_root_path=%(pki_tomcat_webapps_path)s/ROOT
+pki_tomcat_webapps_common_path=%(pki_tomcat_webapps_path)s/pki
+pki_tomcat_webapps_root_webinf_path=%(pki_tomcat_webapps_root_path)s/WEB-INF
+pki_tomcat_work_path=%(pki_instance_path)/work
+pki_tomcat_work_catalina_path=%(pki_tomcat_work_path)s/Catalina
+pki_tomcat_work_catalina_host_path=%(pki_tomcat_work_catalina_path)s/localhost
+pki_tomcat_work_catalina_host_run_path=%(pki_tomcat_work_catalina_host_path)s/_
+pki_tomcat_work_catalina_host_subsystem_path=%(pki_tomcat_work_catalina_host_path)s/%(pki_subsystem_type)s
+pki_instance_conf_log4j_properties=%(pki_instance_configuration_path)/log4j.properties
+pki_instance_type_registry_path=%(pki_registry_path)s/tomcat
+pki_instance_registry_path=%(pki_instance_type_registry_path)s/%(pki_instance_name)s
+pki_tomcat_bin_link=%(pki_instance_path)s/bin
+pki_instance_lib=%(pki_instance_path)s/lib
+pki_instance_lib_log4j_properties=%(pki_instance_lib)/log4j.properties
+pki_instance_systemd_link=%(pki_instance_path)s/%(pki_instance_name)s
+
+# JAR paths
+# These are used in the processing of pkispawn and are not supposed
+# to be overwritten by user configuration files
+pki_apache_commons_collections_jar=/usr/share/java/apache-commons-collections.jar
+pki_apache_commons_lang_jar=/usr/share/java/apache-commons-lang.jar
+pki_apache_commons_logging_jar=/usr/share/java/apache-commons-logging.jar
+pki_commons_codec_jar=/usr/share/java/commons-codec.jar
+pki_httpclient_jar=/usr/share/java/httpcomponents/httpclient.jar
+pki_httpcore_jar=/usr/share/java/httpcomponents/httpcore.jar
+pki_javassist_jar=/usr/share/java/javassist.jar
+pki_jettison_jar=/usr/share/java/jettison.jar
+pki_ldapjdk_jar=/usr/share/java/ldapjdk.jar
+pki_certsrv_jar=/usr/share/java/pki/pki-certsrv.jar
+pki_cmsbundle=/usr/share/java/pki/pki-cmsbundle.jar
+pki_cmscore=/usr/share/java/pki/pki-cmscore.jar
+pki_cms=/usr/share/java/pki/pki-cms.jar
+pki_cmsutil=/usr/share/java/pki/pki-cmsutil.jar
+pki_resteasy_jaxrs_api_jar=%(resteasy_lib)s/jaxrs-api.jar
+pki_nsutil=/usr/share/java/pki/pki-nsutil.jar
+pki_tomcat_jar=/usr/share/java/pki/pki-tomcat.jar
+pki_resteasy_atom_provider_jar=%(resteasy_lib)s/resteasy-atom-provider.jar
+pki_resteasy_jaxb_provider_jar==%(resteasy_lib)s/resteasy-jaxb-provider.jar
+pki_resteasy_jaxrs_jar=%(resteasy_lib)s/resteasy-jaxrs.jar
+pki_resteasy_jettison_provider_jar=%(resteasy_lib)s/resteasy-jettison-provider.jar
+pki_scannotation_jar=/usr/share/java/scannotation.jar
+pki_tomcatjss_jar=/usr/share/java/tomcat7jss.jar
+pki_velocity_jar=/usr/share/java/velocity.jar
+pki_xerces_j2_jar=/usr/share/java/xerces-j2.jar
+pki_xml_commons_apis_jar=/usr/share/java/xml-commons-apis.jar
+pki_xml_commons_resolver_jar=/usr/share/java/xml-commons-resolver.jar
+pki_jss_jar_link=%(pki_tomcat_common_lib_path)s/jss4.jar
+pki_symkey_jar_link=%(pki_tomcat_common_lib_path)s/symkey.jar
+pki_apache_commons_collections_jar_link=%(pki_tomcat_common_lib_path)s/apache-commons-collections.jar
+pki_apache_commons_lang_jar_link=%(pki_tomcat_common_lib_path)s/apache-commons-lang.jar
+pki_apache_commons_logging_jar_link=%(pki_tomcat_common_lib_path)s/apache-commons-logging.jar
+pki_commons_codec_jar_link=%(pki_tomcat_common_lib_path)s/apache-commons-codec.jar
+pki_httpclient_jar_link=%(pki_tomcat_common_lib_path)s/httpclient.jar
+pki_httpcore_jar_link=%(pki_tomcat_common_lib_path)s/httpcore.jar
+pki_javassist_jar_link=%(pki_tomcat_common_lib_path)s/javassist.jar
+pki_resteasy_jaxrs_api_jar_link=%(pki_tomcat_common_lib_path)s/jaxrs-api.jar
+pki_jettison_jar_link=%(pki_tomcat_common_lib_path)s/jettison.jar
+pki_ldapjdk_jar_link=%(pki_tomcat_common_lib_path)s/ldapjdk.jar
+pki_tomcat_jar_link=%(pki_tomcat_common_lib_path)s/pki-tomcat.jar
+pki_resteasy_atom_provider_jar_link=%(pki_tomcat_common_lib_path)s/resteasy-atom-provider.jar
+pki_resteasy_jaxb_provider_jar_link=%(pki_tomcat_common_lib_path)s/resteasy-jaxb-provider.jar
+pki_resteasy_jaxrs_jar_link==%(pki_tomcat_common_lib_path)s/resteasy-jaxrs.jar
+pki_resteasy_jettison_provider_jar_link=%(pki_tomcat_common_lib_path)s/resteasy-jettison-provider.jar
+pki_scannotation_jar_link=%(pki_tomcat_common_lib_path)s/scannotation.jar
+pki_tomcatjss_jar_link=%(pki_tomcat_common_lib_path)s/tomcatjss.jar
+pki_velocity_jar_link=%(pki_tomcat_common_lib_path)s/velocity.jar
+pki_xerces_j2_jar_link=%(pki_tomcat_common_lib_path)s/xerces-j2.jar
+pki_xml_commons_apis_jar_link=%(pki_tomcat_common_lib_path)s/xml-commons-apis.jar
+pki_xml_commons_resolver_jar_link=%(pki_tomcat_common_lib_path)s/xml-commons-resolver.jar
+
 
 
 ###############################################################################
diff --git a/base/deploy/src/scriptlets/pkiparser.py b/base/deploy/src/scriptlets/pkiparser.py
index a971fcbf61ff69a82b57fed73b5e986603f6770d..dfdbb13ec4252ec8865f6e9339133df35dd64280 100644
--- a/base/deploy/src/scriptlets/pkiparser.py
+++ b/base/deploy/src/scriptlets/pkiparser.py
@@ -193,12 +193,19 @@ class PKIConfigParser:
                 default_http_port = '80'
                 default_https_port = '443'
 
+            # RESTEasy
+            resteasy_lib = subprocess.check_output(\
+                'source /etc/pki/pki.conf && echo $RESTEASY_LIB',
+                shell=True).strip()
+
             predefined_dict = {'pki_instance_name': default_instance_name,
                                'pki_http_port': default_http_port,
                                'pki_https_port': default_https_port,
                                'pki_dns_domainname': config.pki_dns_domainname,
                                'pki_subsystem' : config.pki_subsystem,
                                'pki_subsystem_type': config.pki_subsystem.lower(),
+                               'pki_root_prefix' : config.pki_root_prefix,
+                               'resteasy_lib', resteasy_lib,
                                'pki_hostname': config.pki_hostname}
 
             self.pki_config = ConfigParser.SafeConfigParser(predefined_dict)
@@ -272,12 +279,6 @@ class PKIConfigParser:
             config.pki_master_dict.update(config.pki_subsystem_dict)
             config.pki_master_dict.update(__name__="PKI Master Dictionary")
 
-            # RESTEasy
-            config.pki_master_dict['RESTEASY_LIB'] =\
-                subprocess.check_output(
-                    'source /etc/pki/pki.conf && echo $RESTEASY_LIB',
-                    shell=True).strip()
-
             # IMPORTANT:  A "PKI instance" no longer corresponds to a single
             #             pki subystem, but rather to a unique
             #             "Tomcat web instance" or a unique "Apache web instance".
@@ -328,128 +329,10 @@ class PKIConfigParser:
             #           (e. g. Apache:  "pki-apache", "pki-apache.example.com")
             #
 
-            # PKI top-level file system layout name/value pairs
-            # NOTE:  Never use 'os.path.join()' whenever 'pki_root_prefix'
-            #        is being prepended!!!
-            config.pki_master_dict['pki_root_prefix'] = config.pki_root_prefix
-            config.pki_master_dict['pki_path'] =\
-                config.pki_master_dict['pki_root_prefix'] +\
-                config.PKI_DEPLOYMENT_BASE_ROOT
-            config.pki_master_dict['pki_log_path'] =\
-                config.pki_master_dict['pki_root_prefix'] +\
-                config.PKI_DEPLOYMENT_LOG_ROOT
-            config.pki_master_dict['pki_configuration_path'] =\
-                config.pki_master_dict['pki_root_prefix'] +\
-                config.PKI_DEPLOYMENT_CONFIGURATION_ROOT
-            config.pki_master_dict['pki_registry_path'] =\
-                config.pki_master_dict['pki_root_prefix'] +\
-                config.PKI_DEPLOYMENT_REGISTRY_ROOT
-            # Apache/Tomcat instance base name/value pairs
-            config.pki_master_dict['pki_instance_path'] =\
-                os.path.join(config.pki_master_dict['pki_path'],
-                             config.pki_master_dict['pki_instance_name'])
-            # Apache/Tomcat instance log name/value pairs
-            config.pki_master_dict['pki_instance_log_path'] =\
-                os.path.join(config.pki_master_dict['pki_log_path'],
-                             config.pki_master_dict['pki_instance_name'])
-            # Apache/Tomcat instance configuration name/value pairs
-            config.pki_master_dict['pki_instance_configuration_path'] =\
-                os.path.join(config.pki_master_dict['pki_configuration_path'],
-                             config.pki_master_dict['pki_instance_name'])
             # Apache/Tomcat instance registry name/value pairs
             # Apache-specific instance name/value pairs
             if config.pki_master_dict['pki_subsystem'] in\
-               config.PKI_APACHE_SUBSYSTEMS:
-                # Apache instance base name/value pairs
-                config.pki_master_dict['pki_instance_type'] = "Apache"
-                # Apache instance log name/value pairs
-                # Apache instance configuration name/value pairs
-                # Apache instance registry name/value pairs
-                config.pki_master_dict['pki_instance_type_registry_path'] =\
-                    os.path.join(
-                        config.pki_master_dict['pki_registry_path'],
-                        config.pki_master_dict['pki_instance_type'].lower())
-                config.pki_master_dict['pki_instance_registry_path'] =\
-                    os.path.join(
-                        config.pki_master_dict['pki_instance_type_registry_path'],
-                        config.pki_master_dict['pki_instance_name'])
-                # Apache instance convenience symbolic links
-            # Tomcat-specific instance name/value pairs
-            elif config.pki_master_dict['pki_subsystem'] in\
                  config.PKI_TOMCAT_SUBSYSTEMS:
-                # Tomcat instance base name/value pairs
-                config.pki_master_dict['pki_instance_type'] = "Tomcat"
-                config.pki_master_dict['pki_tomcat_common_path'] =\
-                    os.path.join(config.pki_master_dict['pki_instance_path'],
-                                 "common")
-                config.pki_master_dict['pki_tomcat_common_lib_path'] =\
-                    os.path.join(config.pki_master_dict['pki_tomcat_common_path'],
-                                 "lib")
-                config.pki_master_dict['pki_tomcat_tmpdir_path'] =\
-                    os.path.join(config.pki_master_dict['pki_instance_path'],
-                                 "temp")
-                config.pki_master_dict['pki_tomcat_webapps_path'] =\
-                    os.path.join(config.pki_master_dict['pki_instance_path'],
-                                 "webapps")
-                config.pki_master_dict['pki_tomcat_webapps_root_path'] =\
-                    os.path.join(config.pki_master_dict['pki_tomcat_webapps_path'],
-                                 "ROOT")
-                config.pki_master_dict['pki_tomcat_webapps_common_path'] =\
-                    os.path.join(config.pki_master_dict['pki_tomcat_webapps_path'],
-                                 "pki")
-                config.pki_master_dict['pki_tomcat_webapps_root_webinf_path'] =\
-                    os.path.join(
-                        config.pki_master_dict['pki_tomcat_webapps_root_path'],
-                        "WEB-INF")
-                config.pki_master_dict['pki_tomcat_work_path'] =\
-                    os.path.join(config.pki_master_dict['pki_instance_path'],
-                                 "work")
-                config.pki_master_dict['pki_tomcat_work_catalina_path'] =\
-                    os.path.join(config.pki_master_dict['pki_tomcat_work_path'],
-                                 "Catalina")
-                config.pki_master_dict['pki_tomcat_work_catalina_host_path'] =\
-                    os.path.join(
-                        config.pki_master_dict['pki_tomcat_work_catalina_path'],
-                        "localhost")
-                config.pki_master_dict['pki_tomcat_work_catalina_host_run_path'] =\
-                    os.path.join(
-                        config.pki_master_dict\
-                        ['pki_tomcat_work_catalina_host_path'],
-                        "_")
-                config.pki_master_dict\
-                ['pki_tomcat_work_catalina_host_subsystem_path'] =\
-                    os.path.join(
-                        config.pki_master_dict\
-                        ['pki_tomcat_work_catalina_host_path'],
-                        config.pki_master_dict['pki_subsystem'].lower())
-                # Tomcat instance log name/value pairs
-                # Tomcat instance configuration name/value pairs
-                config.pki_master_dict['pki_instance_conf_log4j_properties'] =\
-                    os.path.join(
-                        config.pki_master_dict['pki_instance_configuration_path'],
-                        "log4j.properties")
-                # Tomcat instance registry name/value pairs
-                config.pki_master_dict['pki_instance_type_registry_path'] =\
-                    os.path.join(
-                        config.pki_master_dict['pki_registry_path'],
-                        config.pki_master_dict['pki_instance_type'].lower())
-                config.pki_master_dict['pki_instance_registry_path'] =\
-                    os.path.join(
-                        config.pki_master_dict['pki_instance_type_registry_path'],
-                        config.pki_master_dict['pki_instance_name'])
-                # Tomcat instance convenience symbolic links
-                config.pki_master_dict['pki_tomcat_bin_link'] =\
-                    os.path.join(config.pki_master_dict['pki_instance_path'],
-                                 "bin")
-                config.pki_master_dict['pki_instance_lib'] =\
-                    os.path.join(config.pki_master_dict['pki_instance_path'],
-                                 "lib")
-                config.pki_master_dict['pki_instance_lib_log4j_properties'] =\
-                    os.path.join(config.pki_master_dict['pki_instance_lib'],
-                                 "log4j.properties")
-                config.pki_master_dict['pki_instance_systemd_link'] =\
-                    os.path.join(config.pki_master_dict['pki_instance_path'],
-                                 config.pki_master_dict['pki_instance_name'])
                 # Tomcat instance common lib jars
                 if config.pki_master_dict['pki_architecture'] == 64:
                     config.pki_master_dict['pki_jss_jar'] =\
@@ -465,182 +348,7 @@ class PKIConfigParser:
                     config.pki_master_dict['pki_symkey_jar'] =\
                         os.path.join("/usr/lib/java",
                                      "symkey.jar")
-                config.pki_master_dict['pki_apache_commons_collections_jar'] =\
-                    os.path.join(config.PKI_DEPLOYMENT_JAR_SOURCE_ROOT,
-                                 "apache-commons-collections.jar")
-                config.pki_master_dict['pki_apache_commons_lang_jar'] =\
-                    os.path.join(config.PKI_DEPLOYMENT_JAR_SOURCE_ROOT,
-                                 "apache-commons-lang.jar")
-                config.pki_master_dict['pki_apache_commons_logging_jar'] =\
-                    os.path.join(config.PKI_DEPLOYMENT_JAR_SOURCE_ROOT,
-                                 "apache-commons-logging.jar")
-                config.pki_master_dict['pki_commons_codec_jar'] =\
-                    os.path.join(config.PKI_DEPLOYMENT_JAR_SOURCE_ROOT,
-                                 "commons-codec.jar")
-                config.pki_master_dict['pki_httpclient_jar'] =\
-                    os.path.join(
-                        config.PKI_DEPLOYMENT_HTTPCOMPONENTS_JAR_SOURCE_ROOT,
-                        "httpclient.jar")
-                config.pki_master_dict['pki_httpcore_jar'] =\
-                    os.path.join(
-                        config.PKI_DEPLOYMENT_HTTPCOMPONENTS_JAR_SOURCE_ROOT,
-                        "httpcore.jar")
-                config.pki_master_dict['pki_javassist_jar'] =\
-                    os.path.join(config.PKI_DEPLOYMENT_JAR_SOURCE_ROOT,
-                                 "javassist.jar")
-                config.pki_master_dict['pki_resteasy_jaxrs_api_jar'] =\
-                    os.path.join(config.pki_master_dict['RESTEASY_LIB'],
-                                 "jaxrs-api.jar")
-                config.pki_master_dict['pki_jettison_jar'] =\
-                    os.path.join(config.PKI_DEPLOYMENT_JAR_SOURCE_ROOT,
-                                 "jettison.jar")
-                config.pki_master_dict['pki_ldapjdk_jar'] =\
-                    os.path.join(config.PKI_DEPLOYMENT_JAR_SOURCE_ROOT,
-                                 "ldapjdk.jar")
-                config.pki_master_dict['pki_certsrv_jar'] =\
-                    os.path.join(config.PKI_DEPLOYMENT_PKI_JAR_SOURCE_ROOT,
-                                 "pki-certsrv.jar")
-                config.pki_master_dict['pki_cmsbundle'] =\
-                    os.path.join(config.PKI_DEPLOYMENT_PKI_JAR_SOURCE_ROOT,
-                                 "pki-cmsbundle.jar")
-                config.pki_master_dict['pki_cmscore'] =\
-                    os.path.join(config.PKI_DEPLOYMENT_PKI_JAR_SOURCE_ROOT,
-                                 "pki-cmscore.jar")
-                config.pki_master_dict['pki_cms'] =\
-                    os.path.join(config.PKI_DEPLOYMENT_PKI_JAR_SOURCE_ROOT,
-                                 "pki-cms.jar")
-                config.pki_master_dict['pki_cmsutil'] =\
-                    os.path.join(config.PKI_DEPLOYMENT_PKI_JAR_SOURCE_ROOT,
-                                 "pki-cmsutil.jar")
-                config.pki_master_dict['pki_nsutil'] =\
-                    os.path.join(config.PKI_DEPLOYMENT_PKI_JAR_SOURCE_ROOT,
-                                 "pki-nsutil.jar")
-                config.pki_master_dict['pki_tomcat_jar'] =\
-                    os.path.join(config.PKI_DEPLOYMENT_PKI_JAR_SOURCE_ROOT,
-                                 "pki-tomcat.jar")
-                config.pki_master_dict['pki_resteasy_atom_provider_jar'] =\
-                    os.path.join(config.pki_master_dict['RESTEASY_LIB'],
-                                 "resteasy-atom-provider.jar")
-                config.pki_master_dict['pki_resteasy_jaxb_provider_jar'] =\
-                    os.path.join(config.pki_master_dict['RESTEASY_LIB'],
-                                 "resteasy-jaxb-provider.jar")
-                config.pki_master_dict['pki_resteasy_jaxrs_jar'] =\
-                    os.path.join(config.pki_master_dict['RESTEASY_LIB'],
-                                 "resteasy-jaxrs.jar")
-                config.pki_master_dict['pki_resteasy_jettison_provider_jar'] =\
-                    os.path.join(config.pki_master_dict['RESTEASY_LIB'],
-                                 "resteasy-jettison-provider.jar")
-                config.pki_master_dict['pki_scannotation_jar'] =\
-                    os.path.join(config.PKI_DEPLOYMENT_JAR_SOURCE_ROOT,
-                                 "scannotation.jar")
-                config.pki_master_dict['pki_tomcatjss_jar'] =\
-                    os.path.join(config.PKI_DEPLOYMENT_JAR_SOURCE_ROOT,
-                                 "tomcat7jss.jar")
-                config.pki_master_dict['pki_velocity_jar'] =\
-                    os.path.join(config.PKI_DEPLOYMENT_JAR_SOURCE_ROOT,
-                                 "velocity.jar")
-                config.pki_master_dict['pki_xerces_j2_jar'] =\
-                    os.path.join(config.PKI_DEPLOYMENT_JAR_SOURCE_ROOT,
-                                 "xerces-j2.jar")
-                config.pki_master_dict['pki_xml_commons_apis_jar'] =\
-                    os.path.join(config.PKI_DEPLOYMENT_JAR_SOURCE_ROOT,
-                                 "xml-commons-apis.jar")
-                config.pki_master_dict['pki_xml_commons_resolver_jar'] =\
-                    os.path.join(config.PKI_DEPLOYMENT_JAR_SOURCE_ROOT,
-                                 "xml-commons-resolver.jar")
-                # Tomcat instance common lib jar symbolic links
-                config.pki_master_dict['pki_jss_jar_link'] =\
-                    os.path.join(
-                        config.pki_master_dict['pki_tomcat_common_lib_path'],
-                        "jss4.jar")
-                config.pki_master_dict['pki_symkey_jar_link'] =\
-                    os.path.join(
-                        config.pki_master_dict['pki_tomcat_common_lib_path'],
-                        "symkey.jar")
-                config.pki_master_dict['pki_apache_commons_collections_jar_link'] =\
-                    os.path.join(
-                        config.pki_master_dict['pki_tomcat_common_lib_path'],
-                        "apache-commons-collections.jar")
-                config.pki_master_dict['pki_apache_commons_lang_jar_link'] =\
-                    os.path.join(
-                        config.pki_master_dict['pki_tomcat_common_lib_path'],
-                        "apache-commons-lang.jar")
-                config.pki_master_dict['pki_apache_commons_logging_jar_link'] =\
-                    os.path.join(
-                        config.pki_master_dict['pki_tomcat_common_lib_path'],
-                        "apache-commons-logging.jar")
-                config.pki_master_dict['pki_commons_codec_jar_link'] =\
-                    os.path.join(
-                        config.pki_master_dict['pki_tomcat_common_lib_path'],
-                        "apache-commons-codec.jar")
-                config.pki_master_dict['pki_httpclient_jar_link'] =\
-                    os.path.join(
-                        config.pki_master_dict['pki_tomcat_common_lib_path'],
-                        "httpclient.jar")
-                config.pki_master_dict['pki_httpcore_jar_link'] =\
-                    os.path.join(
-                        config.pki_master_dict['pki_tomcat_common_lib_path'],
-                        "httpcore.jar")
-                config.pki_master_dict['pki_javassist_jar_link'] =\
-                    os.path.join(
-                        config.pki_master_dict['pki_tomcat_common_lib_path'],
-                        "javassist.jar")
-                config.pki_master_dict['pki_resteasy_jaxrs_api_jar_link'] =\
-                    os.path.join(
-                        config.pki_master_dict['pki_tomcat_common_lib_path'],
-                        "jaxrs-api.jar")
-                config.pki_master_dict['pki_jettison_jar_link'] =\
-                    os.path.join(
-                        config.pki_master_dict['pki_tomcat_common_lib_path'],
-                        "jettison.jar")
-                config.pki_master_dict['pki_ldapjdk_jar_link'] =\
-                    os.path.join(
-                        config.pki_master_dict['pki_tomcat_common_lib_path'],
-                        "ldapjdk.jar")
-                config.pki_master_dict['pki_tomcat_jar_link'] =\
-                    os.path.join(
-                        config.pki_master_dict['pki_tomcat_common_lib_path'],
-                        "pki-tomcat.jar")
-                config.pki_master_dict['pki_resteasy_atom_provider_jar_link'] =\
-                    os.path.join(
-                        config.pki_master_dict['pki_tomcat_common_lib_path'],
-                        "resteasy-atom-provider.jar")
-                config.pki_master_dict['pki_resteasy_jaxb_provider_jar_link'] =\
-                    os.path.join(
-                        config.pki_master_dict['pki_tomcat_common_lib_path'],
-                        "resteasy-jaxb-provider.jar")
-                config.pki_master_dict['pki_resteasy_jaxrs_jar_link'] =\
-                    os.path.join(
-                        config.pki_master_dict['pki_tomcat_common_lib_path'],
-                        "resteasy-jaxrs.jar")
-                config.pki_master_dict['pki_resteasy_jettison_provider_jar_link'] =\
-                    os.path.join(
-                        config.pki_master_dict['pki_tomcat_common_lib_path'],
-                        "resteasy-jettison-provider.jar")
-                config.pki_master_dict['pki_scannotation_jar_link'] =\
-                    os.path.join(
-                        config.pki_master_dict['pki_tomcat_common_lib_path'],
-                        "scannotation.jar")
-                config.pki_master_dict['pki_tomcatjss_jar_link'] =\
-                    os.path.join(
-                        config.pki_master_dict['pki_tomcat_common_lib_path'],
-                        "tomcatjss.jar")
-                config.pki_master_dict['pki_velocity_jar_link'] =\
-                    os.path.join(
-                        config.pki_master_dict['pki_tomcat_common_lib_path'],
-                        "velocity.jar")
-                config.pki_master_dict['pki_xerces_j2_jar_link'] =\
-                    os.path.join(
-                        config.pki_master_dict['pki_tomcat_common_lib_path'],
-                        "xerces-j2.jar")
-                config.pki_master_dict['pki_xml_commons_apis_jar_link'] =\
-                    os.path.join(
-                        config.pki_master_dict['pki_tomcat_common_lib_path'],
-                        "xml-commons-apis.jar")
-                config.pki_master_dict['pki_xml_commons_resolver_jar_link'] =\
-                    os.path.join(
-                        config.pki_master_dict['pki_tomcat_common_lib_path'],
-                        "xml-commons-resolver.jar")
+
             # Instance layout NSS security database name/value pairs
             config.pki_master_dict['pki_database_path'] =\
                 os.path.join(
-- 
1.7.11.7