From 48a598da5faea2c3cc64b5217f992ebf1293fb44 Mon Sep 17 00:00:00 2001
From: "Endi S. Dewata" <edewata@redhat.com>
Date: Mon, 5 May 2014 21:05:09 -0400
Subject: [PATCH] Renamed TPS connection to TPS connector (part 4).

The TPS connection REST service has been renamed to TPS connector.

Ticket #977
---
 .../certsrv/tps/connector/ConnectorClient.java     | 16 ++--
 ...nectionResource.java => ConnectorResource.java} | 40 +++++-----
 .../cmstools/tps/connector/ConnectorCLI.java       |  2 +-
 base/tps-tomcat/shared/conf/acl.ldif               |  2 +-
 base/tps-tomcat/shared/conf/acl.properties         | 10 +--
 base/tps-tomcat/shared/conf/auth-method.properties |  2 +-
 base/tps-tomcat/shared/webapps/tps/WEB-INF/web.xml |  4 +-
 base/tps-tomcat/shared/webapps/tps/js/connector.js |  4 +-
 ...onnectionService.java => ConnectorService.java} | 92 +++++++++++-----------
 .../dogtagpki/server/tps/rest/TPSApplication.java  |  2 +-
 10 files changed, 87 insertions(+), 87 deletions(-)
 rename base/common/src/com/netscape/certsrv/tps/connector/{ConnectionResource.java => ConnectorResource.java} (68%)
 rename base/tps-tomcat/src/org/dogtagpki/server/tps/rest/{ConnectionService.java => ConnectorService.java} (77%)

diff --git a/base/common/src/com/netscape/certsrv/tps/connector/ConnectorClient.java b/base/common/src/com/netscape/certsrv/tps/connector/ConnectorClient.java
index 4a86f1eae2f60dc58374bc80fe7b06b775b5a11a..7870a7d4d6b3c5f8911e8c922d8112a3c4e7c3be 100644
--- a/base/common/src/com/netscape/certsrv/tps/connector/ConnectorClient.java
+++ b/base/common/src/com/netscape/certsrv/tps/connector/ConnectorClient.java
@@ -29,7 +29,7 @@ import com.netscape.certsrv.client.PKIClient;
  */
 public class ConnectorClient extends Client {
 
-    public ConnectionResource resource;
+    public ConnectorResource resource;
 
     public ConnectorClient(PKIClient client, String subsystem) throws URISyntaxException {
         super(client, subsystem, "connector");
@@ -37,36 +37,36 @@ public class ConnectorClient extends Client {
     }
 
     public void init() throws URISyntaxException {
-        resource = createProxy(ConnectionResource.class);
+        resource = createProxy(ConnectorResource.class);
     }
 
     public ConnectorCollection findConnectors(String filter, Integer start, Integer size) {
-        Response response = resource.findConnections(filter, start, size);
+        Response response = resource.findConnectors(filter, start, size);
         return client.getEntity(response, ConnectorCollection.class);
     }
 
     public ConnectorData getConnector(String connectorID) {
-        Response response = resource.getConnection(connectorID);
+        Response response = resource.getConnector(connectorID);
         return client.getEntity(response, ConnectorData.class);
     }
 
     public ConnectorData addConnector(ConnectorData connectorData) {
-        Response response = resource.addConnection(connectorData);
+        Response response = resource.addConnector(connectorData);
         return client.getEntity(response, ConnectorData.class);
     }
 
     public ConnectorData updateConnector(String connectorID, ConnectorData connectorData) {
-        Response response = resource.updateConnection(connectorID, connectorData);
+        Response response = resource.updateConnector(connectorID, connectorData);
         return client.getEntity(response, ConnectorData.class);
     }
 
     public ConnectorData changeConnectorStatus(String connectorID, String action) {
-        Response response = resource.changeConnectionStatus(connectorID, action);
+        Response response = resource.changeConnectorStatus(connectorID, action);
         return client.getEntity(response, ConnectorData.class);
     }
 
     public void removeConnector(String connectorID) {
-        Response response = resource.removeConnection(connectorID);
+        Response response = resource.removeConnector(connectorID);
         client.getEntity(response, Void.class);
     }
 }
diff --git a/base/common/src/com/netscape/certsrv/tps/connector/ConnectionResource.java b/base/common/src/com/netscape/certsrv/tps/connector/ConnectorResource.java
similarity index 68%
rename from base/common/src/com/netscape/certsrv/tps/connector/ConnectionResource.java
rename to base/common/src/com/netscape/certsrv/tps/connector/ConnectorResource.java
index 1fb9fa33c8e201b8bb3a63294c777ef708265d28..9df4bffcac41af9ce8179b011efe3f2c57cbdc1b 100644
--- a/base/common/src/com/netscape/certsrv/tps/connector/ConnectionResource.java
+++ b/base/common/src/com/netscape/certsrv/tps/connector/ConnectorResource.java
@@ -35,47 +35,47 @@ import com.netscape.certsrv.base.PATCH;
 /**
  * @author Endi S. Dewata
  */
-@Path("connections")
-@AuthMethodMapping("connections")
-@ACLMapping("connections.read")
-public interface ConnectionResource {
+@Path("connectors")
+@AuthMethodMapping("connectors")
+@ACLMapping("connectors.read")
+public interface ConnectorResource {
 
     @GET
     @ClientResponseType(entityType=ConnectorCollection.class)
-    public Response findConnections(
+    public Response findConnectors(
             @QueryParam("filter") String filter,
             @QueryParam("start") Integer start,
             @QueryParam("size") Integer size);
 
     @GET
-    @Path("{connectionID}")
+    @Path("{connectorID}")
     @ClientResponseType(entityType=ConnectorData.class)
-    public Response getConnection(@PathParam("connectionID") String connectionID);
+    public Response getConnector(@PathParam("connectorID") String connectorID);
 
     @POST
-    @ACLMapping("connections.add")
+    @ACLMapping("connectors.add")
     @ClientResponseType(entityType=ConnectorData.class)
-    public Response addConnection(ConnectorData connectorData);
+    public Response addConnector(ConnectorData connectorData);
 
     @PATCH
-    @Path("{connectionID}")
-    @ACLMapping("connections.modify")
+    @Path("{connectorID}")
+    @ACLMapping("connectors.modify")
     @ClientResponseType(entityType=ConnectorData.class)
-    public Response updateConnection(
-            @PathParam("connectionID") String connectionID,
+    public Response updateConnector(
+            @PathParam("connectorID") String connectorID,
             ConnectorData connectorData);
 
     @POST
-    @Path("{connectionID}")
-    @ACLMapping("connections.approve")
+    @Path("{connectorID}")
+    @ACLMapping("connectors.approve")
     @ClientResponseType(entityType=ConnectorData.class)
-    public Response changeConnectionStatus(
-            @PathParam("connectionID") String connectionID,
+    public Response changeConnectorStatus(
+            @PathParam("connectorID") String connectorID,
             @QueryParam("action") String action);
 
     @DELETE
-    @Path("{connectionID}")
+    @Path("{connectorID}")
     @ClientResponseType(entityType=Void.class)
-    @ACLMapping("connections.remove")
-    public Response removeConnection(@PathParam("connectionID") String connectionID);
+    @ACLMapping("connectors.remove")
+    public Response removeConnector(@PathParam("connectorID") String connectorID);
 }
diff --git a/base/java-tools/src/com/netscape/cmstools/tps/connector/ConnectorCLI.java b/base/java-tools/src/com/netscape/cmstools/tps/connector/ConnectorCLI.java
index 6b2653825d9696a4731240d0a639ee46146e08f0..cd59f92d6ff39ef9b4f4ddc96f855a5636de798c 100644
--- a/base/java-tools/src/com/netscape/cmstools/tps/connector/ConnectorCLI.java
+++ b/base/java-tools/src/com/netscape/cmstools/tps/connector/ConnectorCLI.java
@@ -23,8 +23,8 @@ import java.util.Map;
 
 import org.jboss.resteasy.plugins.providers.atom.Link;
 
-import com.netscape.certsrv.tps.connector.ConnectorData;
 import com.netscape.certsrv.tps.connector.ConnectorClient;
+import com.netscape.certsrv.tps.connector.ConnectorData;
 import com.netscape.cmstools.cli.CLI;
 
 /**
diff --git a/base/tps-tomcat/shared/conf/acl.ldif b/base/tps-tomcat/shared/conf/acl.ldif
index 00992c2cc4e5d5ab21bc361670dc6ecdebf0b13d..f0289e1b257b6fcb5ed54f8d50f140a91f57c4d6 100644
--- a/base/tps-tomcat/shared/conf/acl.ldif
+++ b/base/tps-tomcat/shared/conf/acl.ldif
@@ -24,7 +24,7 @@ resourceACLS: certServer.tps.account:login,logout:allow (login,logout) user="any
 resourceACLS: certServer.tps.authenticators:read,add,modify,approve,remove:allow (read,add,modify,approve,remove) group="TUS Administrators":Only admins can access authenticators.
 resourceACLS: certServer.tps.audit:read,modify:allow (read,modify) group="TUS Administrators":Only admins can access configuration.
 resourceACLS: certServer.tps.config:read,modify:allow (read,modify) group="TUS Administrators":Only admins can access configuration.
-resourceACLS: certServer.tps.connections:read,add,modify,approve,remove:allow (read,add,modify,approve,remove) group="TUS Administrators":Only admins can access connections.
+resourceACLS: certServer.tps.connectors:read,add,modify,approve,remove:allow (read,add,modify,approve,remove) group="TUS Administrators":Only admins can access connectors.
 resourceACLS: certServer.tps.groups:execute:allow (execute) group="TUS Administrators":Admins may execute group operations
 resourceACLS: certServer.tps.users:execute:allow (execute) group="TUS Administrators":Admins may execute user operations
 resourceACLS: certServer.tps.profiles:read,add,modify,approve,remove:allow (read) group="TUS Administrators" || group="TUS Agents" ; allow (add,modify,remove) group="TUS Administrators" ; allow (approve) group="TUS Agents":Admins and agents can read, but only admins can add, modify, and remove, and only agents can approve.
diff --git a/base/tps-tomcat/shared/conf/acl.properties b/base/tps-tomcat/shared/conf/acl.properties
index ba955724bcec6889dadac4e9da652eef71725acd..840c0610e6826d2e1e48074026c6e5d73dbccf29 100644
--- a/base/tps-tomcat/shared/conf/acl.properties
+++ b/base/tps-tomcat/shared/conf/acl.properties
@@ -17,11 +17,11 @@ authenticators.approve = certServer.tps.authenticators,approve
 authenticators.remove = certServer.tps.authenticators,remove
 config.read = certServer.tps.config,read
 config.modify = certServer.tps.config,modify
-connections.read = certServer.tps.connections,read
-connections.add = certServer.tps.connections,add
-connections.modify = certServer.tps.connections,modify
-connections.approve = certServer.tps.connections,approve
-connections.remove = certServer.tps.connections,remove
+connectors.read = certServer.tps.connectors,read
+connectors.add = certServer.tps.connectors,add
+connectors.modify = certServer.tps.connectors,modify
+connectors.approve = certServer.tps.connectors,approve
+connectors.remove = certServer.tps.connectors,remove
 groups = certServer.tps.groups,execute
 profiles.read = certServer.tps.profiles,read
 profiles.add = certServer.tps.profiles,add
diff --git a/base/tps-tomcat/shared/conf/auth-method.properties b/base/tps-tomcat/shared/conf/auth-method.properties
index 8b160e7ac477a1d245123ac26347d79e3c4d3a26..4a97df1c629683b902b1db125b0acc5db441b1c3 100644
--- a/base/tps-tomcat/shared/conf/auth-method.properties
+++ b/base/tps-tomcat/shared/conf/auth-method.properties
@@ -13,7 +13,7 @@ authenticators = certUserDBAuthMgr
 certs = certUserDBAuthMgr
 certrequests = certUserDBAuthMgr
 config = certUserDBAuthMgr
-connections = certUserDBAuthMgr
+connectors = certUserDBAuthMgr
 groups = certUserDBAuthMgr
 keys = certUserDBAuthMgr
 keyrequests = certUserDBAuthMgr
diff --git a/base/tps-tomcat/shared/webapps/tps/WEB-INF/web.xml b/base/tps-tomcat/shared/webapps/tps/WEB-INF/web.xml
index 432c3c4313e3596de2aefd49e571f10a1e9430ed..66bc303502405c0dd6076a81869e5c0ab0fb55dc 100644
--- a/base/tps-tomcat/shared/webapps/tps/WEB-INF/web.xml
+++ b/base/tps-tomcat/shared/webapps/tps/WEB-INF/web.xml
@@ -246,8 +246,8 @@
 
     <security-constraint>
         <web-resource-collection>
-            <web-resource-name>Connections</web-resource-name>
-            <url-pattern>/rest/connections/*</url-pattern>
+            <web-resource-name>Connectors</web-resource-name>
+            <url-pattern>/rest/connectors/*</url-pattern>
         </web-resource-collection>
         <auth-constraint>
             <role-name>*</role-name>
diff --git a/base/tps-tomcat/shared/webapps/tps/js/connector.js b/base/tps-tomcat/shared/webapps/tps/js/connector.js
index bca87818a47ee2de3d87ff0a4ff584e55945c1a3..bc7e4c2bd371f2b6fa210bea39302d7cd21aaaa8 100644
--- a/base/tps-tomcat/shared/webapps/tps/js/connector.js
+++ b/base/tps-tomcat/shared/webapps/tps/js/connector.js
@@ -20,7 +20,7 @@
  */
 
 var ConnectorModel = Model.extend({
-    urlRoot: "/tps/rest/connections",
+    urlRoot: "/tps/rest/connectors",
     parseResponse: function(response) {
         return {
             id: response.id,
@@ -67,7 +67,7 @@ var ConnectorModel = Model.extend({
 });
 
 var ConnectorCollection = Collection.extend({
-    urlRoot: "/tps/rest/connections",
+    urlRoot: "/tps/rest/connectors",
     getEntries: function(response) {
         return response.entries;
     },
diff --git a/base/tps-tomcat/src/org/dogtagpki/server/tps/rest/ConnectionService.java b/base/tps-tomcat/src/org/dogtagpki/server/tps/rest/ConnectorService.java
similarity index 77%
rename from base/tps-tomcat/src/org/dogtagpki/server/tps/rest/ConnectionService.java
rename to base/tps-tomcat/src/org/dogtagpki/server/tps/rest/ConnectorService.java
index bafa7e22caf19c66d6a7ae3f73d09d4d67e10573..5eee52f7c9583e91d6f9900d3c7f9e1850c4ff0d 100644
--- a/base/tps-tomcat/src/org/dogtagpki/server/tps/rest/ConnectionService.java
+++ b/base/tps-tomcat/src/org/dogtagpki/server/tps/rest/ConnectorService.java
@@ -41,15 +41,15 @@ import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.BadRequestException;
 import com.netscape.certsrv.base.ForbiddenException;
 import com.netscape.certsrv.base.PKIException;
-import com.netscape.certsrv.tps.connector.ConnectionResource;
 import com.netscape.certsrv.tps.connector.ConnectorCollection;
 import com.netscape.certsrv.tps.connector.ConnectorData;
+import com.netscape.certsrv.tps.connector.ConnectorResource;
 import com.netscape.cms.servlet.base.PKIService;
 
 /**
  * @author Endi S. Dewata
  */
-public class ConnectionService extends PKIService implements ConnectionResource {
+public class ConnectorService extends PKIService implements ConnectorResource {
 
     @Context
     private UriInfo uriInfo;
@@ -65,40 +65,40 @@ public class ConnectionService extends PKIService implements ConnectionResource
 
     public final static int DEFAULT_SIZE = 20;
 
-    public ConnectionService() {
-        CMS.debug("ConnectionService.<init>()");
+    public ConnectorService() {
+        CMS.debug("ConnectorService.<init>()");
     }
 
     public ConnectorData createConnectorData(ConnectionRecord connectionRecord) throws UnsupportedEncodingException {
 
-        String connectionID = connectionRecord.getID();
+        String connectorID = connectionRecord.getID();
 
         ConnectorData connectorData = new ConnectorData();
-        connectorData.setID(connectionID);
+        connectorData.setID(connectorID);
         connectorData.setStatus(connectionRecord.getStatus());
         connectorData.setProperties(connectionRecord.getProperties());
 
-        connectionID = URLEncoder.encode(connectionID, "UTF-8");
-        URI uri = uriInfo.getBaseUriBuilder().path(ConnectionResource.class).path("{connectionID}").build(connectionID);
+        connectorID = URLEncoder.encode(connectorID, "UTF-8");
+        URI uri = uriInfo.getBaseUriBuilder().path(ConnectorResource.class).path("{connectorID}").build(connectorID);
         connectorData.setLink(new Link("self", uri));
 
         return connectorData;
     }
 
-    public ConnectionRecord createConnectionRecord(ConnectorData connectorData) {
+    public ConnectionRecord createConnectorRecord(ConnectorData connectorData) {
 
-        ConnectionRecord connectionRecord = new ConnectionRecord();
-        connectionRecord.setID(connectorData.getID());
-        connectionRecord.setStatus(connectorData.getStatus());
-        connectionRecord.setProperties(connectorData.getProperties());
+        ConnectionRecord connectorRecord = new ConnectionRecord();
+        connectorRecord.setID(connectorData.getID());
+        connectorRecord.setStatus(connectorData.getStatus());
+        connectorRecord.setProperties(connectorData.getProperties());
 
-        return connectionRecord;
+        return connectorRecord;
     }
 
     @Override
-    public Response findConnections(String filter, Integer start, Integer size) {
+    public Response findConnectors(String filter, Integer start, Integer size) {
 
-        CMS.debug("ConnectionService.findConnections()");
+        CMS.debug("ConnectorService.findConnectors()");
 
         try {
             start = start == null ? 0 : start;
@@ -146,17 +146,17 @@ public class ConnectionService extends PKIService implements ConnectionResource
     }
 
     @Override
-    public Response getConnection(String connectionID) {
+    public Response getConnector(String connectorID) {
 
-        if (connectionID == null) throw new BadRequestException("Connection ID is null.");
+        if (connectorID == null) throw new BadRequestException("Connector ID is null.");
 
-        CMS.debug("ConnectionService.getConnection(\"" + connectionID + "\")");
+        CMS.debug("ConnectorService.getConnector(\"" + connectorID + "\")");
 
         try {
             TPSSubsystem subsystem = (TPSSubsystem)CMS.getSubsystem(TPSSubsystem.ID);
             ConnectionDatabase database = subsystem.getConnectionDatabase();
 
-            return createOKResponse(createConnectorData(database.getRecord(connectionID)));
+            return createOKResponse(createConnectorData(database.getRecord(connectorID)));
 
         } catch (PKIException e) {
             throw e;
@@ -168,17 +168,17 @@ public class ConnectionService extends PKIService implements ConnectionResource
     }
 
     @Override
-    public Response addConnection(ConnectorData connectorData) {
+    public Response addConnector(ConnectorData connectorData) {
 
         if (connectorData == null) throw new BadRequestException("Connector data is null.");
 
-        CMS.debug("ConnectionService.addConnection(\"" + connectorData.getID() + "\")");
+        CMS.debug("ConnectorService.addConnector(\"" + connectorData.getID() + "\")");
 
         try {
             TPSSubsystem subsystem = (TPSSubsystem)CMS.getSubsystem(TPSSubsystem.ID);
             ConnectionDatabase database = subsystem.getConnectionDatabase();
 
-            database.addRecord(connectorData.getID(), createConnectionRecord(connectorData));
+            database.addRecord(connectorData.getID(), createConnectorRecord(connectorData));
             connectorData = createConnectorData(database.getRecord(connectorData.getID()));
 
             return createCreatedResponse(connectorData, connectorData.getLink().getHref());
@@ -193,29 +193,29 @@ public class ConnectionService extends PKIService implements ConnectionResource
     }
 
     @Override
-    public Response updateConnection(String connectionID, ConnectorData connectorData) {
+    public Response updateConnector(String connectorID, ConnectorData connectorData) {
 
-        if (connectionID == null) throw new BadRequestException("Connection ID is null.");
+        if (connectorID == null) throw new BadRequestException("Connector ID is null.");
         if (connectorData == null) throw new BadRequestException("Connector data is null.");
 
-        CMS.debug("ConnectionService.updateConnection(\"" + connectionID + "\")");
+        CMS.debug("ConnectorService.updateConnector(\"" + connectorID + "\")");
 
         try {
             TPSSubsystem subsystem = (TPSSubsystem)CMS.getSubsystem(TPSSubsystem.ID);
             ConnectionDatabase database = subsystem.getConnectionDatabase();
 
-            ConnectionRecord record = database.getRecord(connectionID);
+            ConnectionRecord record = database.getRecord(connectorID);
 
-            // only disabled connection can be updated
+            // only disabled connector can be updated
             if (!"Disabled".equals(record.getStatus())) {
-                throw new ForbiddenException("Unable to update connection " + connectionID);
+                throw new ForbiddenException("Unable to update connector " + connectorID);
             }
 
             // update status if specified
             String status = connectorData.getStatus();
             if (status != null && !"Disabled".equals(status)) {
                 if (!"Enabled".equals(status)) {
-                    throw new ForbiddenException("Invalid connection status: " + status);
+                    throw new ForbiddenException("Invalid connector status: " + status);
                 }
 
                 // if user doesn't have rights, set to pending
@@ -224,7 +224,7 @@ public class ConnectionService extends PKIService implements ConnectionResource
                     status = "Pending_Approval";
                 }
 
-                // enable connection
+                // enable connector
                 record.setStatus(status);
             }
 
@@ -234,9 +234,9 @@ public class ConnectionService extends PKIService implements ConnectionResource
                 record.setProperties(properties);
             }
 
-            database.updateRecord(connectionID, record);
+            database.updateRecord(connectorID, record);
 
-            connectorData = createConnectorData(database.getRecord(connectionID));
+            connectorData = createConnectorData(database.getRecord(connectorID));
 
             return createOKResponse(connectorData);
 
@@ -250,18 +250,18 @@ public class ConnectionService extends PKIService implements ConnectionResource
     }
 
     @Override
-    public Response changeConnectionStatus(String connectionID, String action) {
+    public Response changeConnectorStatus(String connectorID, String action) {
 
-        if (connectionID == null) throw new BadRequestException("Connection ID is null.");
+        if (connectorID == null) throw new BadRequestException("Connector ID is null.");
         if (action == null) throw new BadRequestException("Action is null.");
 
-        CMS.debug("ConnectionService.changeConnectionStatus(\"" + connectionID + "\")");
+        CMS.debug("ConnectorService.changeConnectorStatus(\"" + connectorID + "\")");
 
         try {
             TPSSubsystem subsystem = (TPSSubsystem)CMS.getSubsystem(TPSSubsystem.ID);
             ConnectionDatabase database = subsystem.getConnectionDatabase();
 
-            ConnectionRecord record = database.getRecord(connectionID);
+            ConnectionRecord record = database.getRecord(connectorID);
             String status = record.getStatus();
 
             if ("Disabled".equals(status)) {
@@ -288,13 +288,13 @@ public class ConnectionService extends PKIService implements ConnectionResource
                 }
 
             } else {
-                throw new PKIException("Invalid connection status: " + status);
+                throw new PKIException("Invalid connector status: " + status);
             }
 
             record.setStatus(status);
-            database.updateRecord(connectionID, record);
+            database.updateRecord(connectorID, record);
 
-            ConnectorData connectorData = createConnectorData(database.getRecord(connectionID));
+            ConnectorData connectorData = createConnectorData(database.getRecord(connectorID));
 
             return createOKResponse(connectorData);
 
@@ -308,24 +308,24 @@ public class ConnectionService extends PKIService implements ConnectionResource
     }
 
     @Override
-    public Response removeConnection(String connectionID) {
+    public Response removeConnector(String connectorID) {
 
-        if (connectionID == null) throw new BadRequestException("Connection ID is null.");
+        if (connectorID == null) throw new BadRequestException("Connector ID is null.");
 
-        CMS.debug("ConnectionService.removeConnection(\"" + connectionID + "\")");
+        CMS.debug("ConnectorService.removeConnector(\"" + connectorID + "\")");
 
         try {
             TPSSubsystem subsystem = (TPSSubsystem)CMS.getSubsystem(TPSSubsystem.ID);
             ConnectionDatabase database = subsystem.getConnectionDatabase();
 
-            ConnectionRecord record = database.getRecord(connectionID);
+            ConnectionRecord record = database.getRecord(connectorID);
             String status = record.getStatus();
 
             if (!"Disabled".equals(status)) {
-                throw new ForbiddenException("Unable to delete connection " + connectionID);
+                throw new ForbiddenException("Unable to delete connector " + connectorID);
             }
 
-            database.removeRecord(connectionID);
+            database.removeRecord(connectorID);
 
             return createNoContentResponse();
 
diff --git a/base/tps-tomcat/src/org/dogtagpki/server/tps/rest/TPSApplication.java b/base/tps-tomcat/src/org/dogtagpki/server/tps/rest/TPSApplication.java
index fc06fd8bb6f851af9b394f3eabf3b2f589633734..70c8afd02e6d4cea38adbe9f86a21804ce61db8d 100644
--- a/base/tps-tomcat/src/org/dogtagpki/server/tps/rest/TPSApplication.java
+++ b/base/tps-tomcat/src/org/dogtagpki/server/tps/rest/TPSApplication.java
@@ -73,7 +73,7 @@ public class TPSApplication extends Application {
         classes.add(ConfigService.class);
 
         // connections
-        classes.add(ConnectionService.class);
+        classes.add(ConnectorService.class);
 
         // profiles
         classes.add(ProfileService.class);
-- 
1.8.4.2